Bug 868599 - [PATCH] add static libraries, enable asm on mingw64
[PATCH] add static libraries, enable asm on mingw64
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw-libgcrypt (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On: 868597
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-20 23:47 EDT by Yaakov Selkowitz
Modified: 2012-12-20 10:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:12:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for git master (2.82 KB, patch)
2012-10-20 23:47 EDT, Yaakov Selkowitz
no flags Details | Diff

  None (edit)
Description Yaakov Selkowitz 2012-10-20 23:47:47 EDT
Created attachment 630725 [details]
Patch for git master

Cygwin's setup.exe installer utility, which for various reasons is a native Win32 application and is linked statically for easy redistributability, depends on libgcrypt.

The attached patch enables -static subpackages for mingw-libgcrypt, per the Fedora packaging guidelines.  While I was at it, I found a fix to compile the assembly code for mingw64.  It would be helpful if this could be pulled into F17 and F18.
Comment 1 Erik van Pienbroek 2012-10-24 14:20:18 EDT
Thank you very much for the fix and the patch!
It's nice to see that the cygwin folks are also using the Fedora MinGW toolchain :)
Comment 2 Fedora Update System 2012-10-24 14:28:30 EDT
mingw-libgcrypt-1.5.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mingw-libgcrypt-1.5.0-5.fc17
Comment 3 Fedora Update System 2012-10-24 14:29:24 EDT
mingw-libgcrypt-1.5.0-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-libgcrypt-1.5.0-5.fc18
Comment 4 Fedora Update System 2012-10-26 15:38:03 EDT
Package mingw-libgcrypt-1.5.0-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw-libgcrypt-1.5.0-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16922/mingw-libgcrypt-1.5.0-5.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-20 10:12:27 EST
mingw-libgcrypt-1.5.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.